#include <lib/std.mi>

Global ToggleButton mytoggle, boost;
Global AnimatedLayer animlayer;
Global Boolean elecstatus, booststatus;
Global Group stdgrp;

System.onScriptLoaded()
{
	stdgrp=getScriptGroup();

	mytoggle=stdgrp.findObject("mytoggle");
	boost=stdgrp.findObject("boost");
	animlayer=stdgrp.findObject("animatedlayer");

	booststatus = getPrivateInt("Venom","toggle_boost",0);
	boost.setActivated(booststatus);
	boost.onToggle(booststatus);

	elecstatus = getPrivateInt("Venom","toggle_electricity",0);
	mytoggle.setActivated(elecstatus);
	mytoggle.onToggle(elecstatus);
}

mytoggle.onToggle(Boolean t)
{
	setPrivateInt("Venom","toggle_electricity",t);

	if(t){
		animlayer.play();
	}else{
		animlayer.stop();
		animlayer.gotoFrame(0);
	}
}

boost.onToggle(Boolean t)
{
	setPrivateInt("Venom","toggle_boost",t);

	if(t){
		setPrivateInt("Venom","old_volume",getVolume());
		setPrivateInt("Venom","old_preamp",getEqPreamp());
		setVolume(255);
		setEqPreamp(127);
		animlayer.play();
	}else{
		if(!mytoggle.getActivated()){
			animlayer.stop();
			animlayer.gotoFrame(0);
		}
		setVolume(getPrivateInt("Venom","old_volume",50));
		setEqPreamp(getPrivateInt("Venom","old_preamp",0));		
	}
}
